#declare OLD = off;	//	on;	//						//	Switch between original or improved include file

#include "functions.inc"

#declare Camera_Location = <5, 4, 3> * .5;
#declare Camera_Look_At = <0, 0, 0>;

camera {
	location Camera_Location
	look_at <0, 0, 0>
	translate Camera_Look_At
}

light_source {<-750, 1500, 500> rgb 1}
light_source {<750, 1500, -500> rgb 1}
light_source {<-750, -1500, 500> rgb 1}
light_source {<750, -1500, -500> rgb 1}

#if (OLD)
	#declare f = function(x,y,z) {f_sphere(x,y,z,1) + f_wrinkles(x,y,z)}
#else
	#declare Fn = function(x,y,z) {f_sphere(x,y,z,1) + f_wrinkles(x,y,z)}
#end	//

#declare approximateIso = yes;	//	no;	//				//Switch between approximation and real object

#declare isoMin = -<1, 1, 1>;											//Bounding box of the isosurface
#declare isoMax = <1, 1, 1>;

#if(approximateIso)
	#declare isoSmooth = yes;	//	no;	//	
	
	#declare isoSegs = <20, 20, 20>;	//	<10, 10, 10>;	//	<80, 80, 80>;	//	
	
	#declare isoFileOption = 1;											//0 = Load, 1 = Save, 2 = Ignore
	#declare isoFile = "iso.iso";
	#declare isoName = "isoSphere";
	
	#if (OLD)
		#include "isosurface.inc"											//	OLD switches between original or improved include file
	#else
		#include "isosurfaceJF7.inc"
	#end	//

	object {
		isoSphere
		texture {
			pigment {
				rgb <.2, .2, .8>
			}
			finish {
				specular .5
			}
		}
	}
#else
	isosurface {
		function {
		#if (OLD)
			f(x, y, z)
		#else
			Fn(x, y, z)
		#end	//
		}
		open
		accuracy .001
		max_gradient 5
		contained_by {
			box {
				isoMin, isoMax
			}
		}
		texture {
			pigment {
				rgb <.2, .2, .8>
			}
			finish {
				specular .5
			}
		}
	}
#end